! *************************************************
! Programacao de Computadores
! Arquivo: exemplo.f
! Autor: Igor Monteiro Moraes
! Descricao: Este programa cacula o fatorial de um numero inteiro positivo n
! Ultima atualizacao: 12/05/2010
! **************************************************
      
      program exercicio1
        !Declaracao de variaveis
        integer i,num,fatorial

        !Inicializacao de variaveis
        fatorial=1 !Se o numero e igual a 0 ou 1 o fatorial e igual a 1
        
        print*,'Esse programa calcula o fatorial de um numero inteiro'
        
        !O fatorial desse numero sera calculado
        print*,'Digite um numero' 
        read*,num
        
        !Verifica se o numero digitado e positivo
        if(num.lt.0) then
          stop 'O numero digitado e invalido'
        endif
        
        !O valor de cada multiplicacao e armazenado na variavel
        !fatorial a cada iteracao
        do i=1,num,1
          fatorial=fatorial*i
        end do
        
        print*,'O fatorial de ',num,'e',fatorial
        stop
      end program


